/**
 * Author: S. Smith
 * Revised: February 8, 2008
 * 
 * Revised author: O. Huyn
 * Revised: March 19, 2017
 *
 * Description: Invalid position exception
 */

/**
 * @brief An exception for an invalid position.
 */
public class InvalidPositionException extends RuntimeException
{
   public InvalidPositionException()
   {
     super();
   }
   public InvalidPositionException(String reason)
   {
     super(reason);
   }
   public InvalidPositionException(int i, int last)
   {
     super("Invalid position " + i + ".  Position should be between 0 and " + last + "inclusive.");
   }
}
