/**
 * Author: S. Smith
 * Revised: March 2, 2009
 * 
 * Description: Node ADT class
 */

public class NodeT extends PointT
{

   public enum nodeTypeT {JUNCTION, EGG, BLOCKAGE, OPENING}

   private nodeTypeT nt;

   public NodeT(double x, double y, nodeTypeT n)
   {
     super(x, y);
     nt = n;
   }

   public nodeTypeT ntype()
   {
     return nt;
   }

}
