/**
 * Author: S. Smith
 * Revised: March 17, 2009
 * 
 * Description: Testing NodeT Class
 */

import org.junit.*;
import static org.junit.Assert.*;

public class TestNodeT
{

   @Test
   public void testConstructorForJunction()
   {
     NodeT n = new NodeT(0.0, 0.0, NodeT.nodeTypeT.JUNCTION);
     assertEquals(NodeT.nodeTypeT.JUNCTION, n.ntype());
   }

   @Test
   public void testConstructorForEgg()
   {
     NodeT n = new NodeT(0.0, 0.0, NodeT.nodeTypeT.EGG);
     assertEquals(NodeT.nodeTypeT.EGG, n.ntype());
   }

   @Test
   public void testConstructorForBlockage()
   {
     NodeT n = new NodeT(0.0, 0.0, NodeT.nodeTypeT.BLOCKAGE);
     assertEquals(NodeT.nodeTypeT.BLOCKAGE, n.ntype());
   }

   @Test
   public void testConstructorForOpening()
   {
     NodeT n = new NodeT(0.0, 0.0, NodeT.nodeTypeT.OPENING);
     assertEquals(NodeT.nodeTypeT.OPENING, n.ntype());
   }


}
